Jira CLI(1)

NAME

jira-sprint-list - Sprint lists top 50 sprints in a board

SYNOPSIS

jira sprint list [SPRINT_ID] [flags]

DESCRIPTION

Sprint lists top 50 sprints in a board

Sprints are displayed in an explorer view by default. You can use --list and --plain flags to display output in different modes.

OPTIONS

-C, --component=""
    Filter issues by component

-P, --parent=""
    Filter issues by parent

-q, --jql=""
    Run a raw JQL query in a given project context

--order-by="created"
    Field to order the list with

--paginate="0:100"
    Paginate the result. Max 100 at a time, format: : where is optional

--plain[=false]
    Display output in plain mode

--no-headers[=false]
    Don't display table headers in plain mode. Works only with --plain

--no-truncate[=false]
    Show all available columns in plain mode. Works only with --plain

--delimiter="\t"
    Custom delimeter for columns in plain mode. Works only with --plain

--comments=1
    Show N comments when viewing the issue

--raw[=false]
    Print raw JSON output

--csv[=false]
    Print output in CSV format

--state=""
    Filter sprint by its state (comma separated). Valid values are future, active and closed. Defaults to "active,closed"

--show-all-issues[=false]
    Show sprint issues from all projects

--table[=false]
    Display sprints in a table view

--columns=""
    Comma separated list of columns to display in the plain mode. Accepts (for sprint list): ID, NAME, START, END, COMPLETE, STATE Accepts (for sprint issues): TYPE, KEY, SUMMARY, STATUS, ASSIGNEE, REPORTER, PRIORITY, RESOLUTION, CREATED, UPDATED, LABELS

--fixed-columns=1
    Number of fixed columns in the interactive mode

--current[=false]
    List issues in current active sprint

--prev[=false]
    List issues in previous sprint

--next[=false]
    List issues in next planned sprint

-h, --help[=false]
    help for list

OPTIONS INHERITED FROM PARENT COMMANDS

-c, --config=""
    Config file (default is ~/.jira/.config.yml, can be overridden with JIRA_CONFIG_FILE env var)

--debug[=false]
    Turn on debug output

-p, --project=""
    Jira project to look into (defaults to ~/.jira/.config.yml)

EXAMPLE
    $ jira sprint list
    # Display sprints or sprint issues in an interactive list
    $ jira sprint list --table
    $ jira sprint list <SPRINT_ID> --table
    # Display sprints or sprint issues in a plain table view
    $ jira sprint list --table --plain
    $ jira sprint list <SPRINT_ID> --plain
    # Display sprints or sprint issues in a plain table view without headers
    $ jira sprint list --table --plain --no-headers
    $ jira sprint list <SPRINT_ID> --no-headers
    # Display some columns of sprint or sprint issues in a plain table view
    $ jira sprint list --table --plain --columns name,start,end
    $ jira sprint list <SPRINT_ID> --plain --columns type,key,summary
    # Display sprint issues in a plain table view and show all fields
    $ jira sprint list <SPRINT_ID> --plain --no-truncate

SEE ALSO

jira-sprint(1)

HISTORY

27-Apr-2026 Auto generated by spf13/cobra